Get identity verification attempts
Beta
Get all the attempts for a specific identity verification.Path Parameters
- Type: string ·identity
_verification _id Pattern: ^idv_\w+$read-onlyrequiredThe identity verification's unique identifier.
Query Parameters
- Type: integerskip
The number of attempts to skip.
- Type: integerlimit
The maximum number of attempts to return.
Responses
- application/json
- 404
Not Found
- 500
Internal Server Error
Request Example for get/identity-verifications/{identity_verification_id}/attempts
Shell Curl
curl https://identity-verification.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we/attempts \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"total_count": 2,
"skip": 10,
"limit": 10,
"data": [
{
"id": "iatp_tkoi5db4hryu5cei5vwoabrPoQ",
"created_on": {},
"modified_on": {},
"status": "completed",
"response_codes": [],
"phone_number": {
"country_code": "+1",
"number": "5555550102"
},
"client_information": {
"pre_selected_residence_country": "FR",
"pre_selected_document_issuing_country": "FR",
"pre_selected_document_type": "Passport",
"pre_selected_language": "en-US"
},
"applicant_session_information": {
"ip_address": "123.123.123.01",
"number_of_sessions": 3,
"user_agent": "Mozilla/5.0 (Linux; Android 8.0.0; SM-G960F Build/R16NW) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.84 Mobile Safari/537.36",
"initial_device": "mobile",
"selected_documents": [
{
"country": "FR",
"document_type": "Passport"
}
]
},
"redirect_url": "https://myweb.site?query-param=hello",
"_links": {
"self": {
"href": "https://identity-verification.sandbox.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we/attempts/iatp_tkoi5db4hryu5cei5vwoabrPoQ"
},
"verification_url": {
"href": "https://idv.checkout.com/4hryu5cei5/"
}
}
}
],
"_links": {
"self": {
"href": "https://identity-verification.sandbox.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we/attempts?skip=10&limit=10"
},
"next": {
"href": "https://identity-verification.sandbox.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we/attempts?skip=20&limit=10"
},
"previous": {
"href": "https://identity-verification.sandbox.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we/attempts?skip=0&limit=10"
}
}
}